apiVersion: kubevirt.io/v1
kind: VirtualMachine
metadata:
  annotations:
    kubemacpool.io/transaction-timestamp: "2025-10-13T15:27:22.006584501Z"
    kubevirt.io/latest-observed-api-version: v1
    kubevirt.io/storage-observed-api-version: v1
  creationTimestamp: "2025-10-13T15:27:08Z"
  finalizers:
  - kubevirt.io/virtualMachineControllerFinalize
  generation: 2
  labels:
    kubevirt.io/vm: vm-cirros
  name: vm-cirros
  namespace: yan11
  resourceVersion: "30237716"
  uid: 96d24253-6c16-4c2b-b1d9-c360541ece16
spec:
  runStrategy: Always
  template:
    metadata:
      creationTimestamp: null
      labels:
        kubevirt.io/vm: vm-cirros
    spec:
      architecture: amd64
      domain:
        devices:
          disks:
          - disk:
              bus: virtio
            name: disk1
          - disk:
              bus: virtio
            name: cloudinitdisk
        firmware:
          serial: d59fb780-b871-4d90-a8ca-cef6283850fd
          uuid: 6da08a99-8647-424b-bce2-c0652e34af7b
        machine:
          type: pc-q35-rhel9.6.0
        memory:
          guest: 128Mi
        resources: {}
      terminationGracePeriodSeconds: 0
      volumes:
      - name: disk1
        persistentVolumeClaim:
          claimName: pvc1
      - cloudInitNoCloud:
          userData: |
            #!/bin/sh

            echo 'printed from cloud-init userdata'
        name: cloudinitdisk
status:
  conditions:
  - lastProbeTime: null
    lastTransitionTime: "2025-10-13T15:27:33Z"
    status: "True"
    type: Ready
  - lastProbeTime: null
    lastTransitionTime: null
    message: 'cannot migrate VMI: PVC pvc1 is not shared, live migration requires
      that all PVCs must be shared (using ReadWriteMany access mode)'
    reason: DisksNotLiveMigratable
    status: "False"
    type: LiveMigratable
  - lastProbeTime: null
    lastTransitionTime: null
    status: "True"
    type: StorageLiveMigratable
  created: true
  desiredGeneration: 2
  observedGeneration: 2
  printableStatus: Running
  ready: true
  runStrategy: Always
  volumeSnapshotStatuses:
  - enabled: true
    name: disk1
  - enabled: false
    name: cloudinitdisk
    reason: Snapshot is not supported for this volumeSource type [cloudinitdisk]
